> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk reset proxy account quotas

> Reset quota consumption for multiple proxy accounts in one request.



## OpenAPI

````yaml /openapi.json put /api/teams/{team_id}/proxy_accounts/reset-quota
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/teams/{team_id}/proxy_accounts/reset-quota:
    put:
      tags:
        - ProxyAccount
      summary: Bulk reset proxy account quotas
      description: Reset quota consumption for multiple proxy accounts in one request.
      operationId: api_teams_team_idproxy_accountsreset-quota.__format_put
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The updated ProxyAccount resource
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    description: Proxy account id
                required:
                  - id
              minItems: 1
        required: false
      responses:
        '200':
          description: Quotas reset successfully
          content:
            application/json:
              schema:
                type: array
                items: 67320e19-f9b8-40e4-bb19-1bc19eac0446
          links: {}
        '400':
          description: Invalid input
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '422':
          description: An error occurred
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation'
            application/json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation'
          links: {}
components:
  schemas:
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    ConstraintViolation.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            status:
              default: 422
              type: integer
            violations:
              type: array
              items:
                type: object
                properties:
                  propertyPath:
                    type: string
                    description: The property path of the violation
                  message:
                    type: string
                    description: The message associated with the violation
                  code:
                    type: string
                    description: The code of the violation
                  hint:
                    type: string
                    description: An extra hint to understand the violation
                  payload:
                    type: object
                    additionalProperties: true
                    description: The serialized payload of the violation
                required:
                  - propertyPath
                  - message
            detail:
              readOnly: true
              type: string
            description:
              readOnly: true
              type: string
            type:
              readOnly: true
              type: string
            title:
              readOnly: true
              type:
                - string
                - 'null'
            instance:
              readOnly: true
              type:
                - string
                - 'null'
      description: Unprocessable entity
    ConstraintViolation:
      type: object
      description: Unprocessable entity
      properties:
        status:
          default: 422
          type: integer
        violations:
          type: array
          items:
            type: object
            properties:
              propertyPath:
                type: string
                description: The property path of the violation
              message:
                type: string
                description: The message associated with the violation
              code:
                type: string
                description: The code of the violation
              hint:
                type: string
                description: An extra hint to understand the violation
              payload:
                type: object
                additionalProperties: true
                description: The serialized payload of the violation
            required:
              - propertyPath
              - message
        detail:
          readOnly: true
          type: string
        type:
          readOnly: true
          type: string
        title:
          readOnly: true
          type:
            - string
            - 'null'
        instance:
          readOnly: true
          type:
            - string
            - 'null'
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````